
#ifndef GOTEK_OSD_H
#define GOTEK_OSD_H
/* FF OSD command set */
#define OSD_BACKLIGHT    0x00 /* [0] = backlight on */
#define OSD_DATA         0x02 /* next columns*rows bytes are text data */
#define OSD_ROWS         0x10 /* [3:0] = #rows */
#define OSD_HEIGHTS      0x20 /* [3:0] = 1 iff row is 2x height */
#define OSD_BUTTONS      0x30 /* [3:0] = button mask */
#define OSD_COLUMNS      0x40 /* [6:0] = #columns */
struct osd_display_t {
    int rows, cols, on;
    uint8_t heights;
    uint8_t text[4][40];
};
#include <Arduino.h>
namespace gotek {
    class osd {
        public:
            void begin();
            void start();
        private:
    };
    void OSD_RxHandler(int);
    void OSD_RxHandler2(int);
    void OSD_RxRequest(void);
    void OSD_RxRequest2(void);
    extern osd gotek_osd;




}


#endif // GOTEK_OSD_H